### Function

# Gdk cairo_rectangle

since: 4.0

#### Declaration [src]

    void
    gdk_cairo_rectangle (
      cairo_t* cr,
      const GdkRectangle* rectangle
    )

#### Description [src]

Adds the given rectangle to the current path of `cr`.

Available since: 4.0

#### Parameters

`cr`

  Type: `cairo_t`

  A cairo context.

  The data is owned by the caller of the function.

`rectangle`

  Type: `GdkRectangle`

  A `GdkRectangle`

  The data is owned by the caller of the function.